import matplotlib.pyplot as plt
import numpy as np


def histogram_rand():
    n_data = 10000
    mu = 100
    sigma = 15
    # generate samples with normal distribution
    data = mu + sigma * np.random.randn(n_data)
    data = [int(d) for d in data]
    # plot the histogram using matplotlib
    plt.hist(data, density=True, bins=30)
    plt.xlabel('Values')
    plt.ylabel('Probability')
    plt.show()


def plot_barchart_dict(dictionary, title):
    plt.bar(dictionary.keys(), dictionary.values(), width=0.5)
    plt.xticks(range(len(dictionary.keys())))
    plt.xlabel("dict keys")
    plt.ylabel("dict values")
    plt.title(title)
    plt.show()


def word_count(sentence):
    word_counter = {}
    wordlist = sentence.lower().split()
    for word in wordlist:
        if word in word_counter:
            word_counter[word] += 1
        else:
            word_counter[word] = 1
    return word_counter


ex = 1

if ex == 1:
    histogram_rand()
elif ex == 2:
    example = word_count("It's a man, it's a plane, it's superman!")
    print(example)
    plot_barchart_dict(example, "Word count")
